EndpointSecurityFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.EndpointSecurityFilter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface EndpointSecurityFilter

All Superinterfaces:
  Initialisable

All Known Implementing Classes:
  AbstractEndpointSecurityFilter, HttpBasicAuthenticationFilter, HttpBasicAuthenticationFilter, JaasSecurityFilter, MuleEncryptionEndpointSecurityFilter, PGPSecurityFilter

    public interface EndpointSecurityFilter

extends Initialisable

`EndpointSecurityFilter` is a base filter for secure filtering of inbound and outbout event flow

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Method Summary
`void` | `authenticate(MuleEvent event)`
`CredentialsAccessor` | `getCredentialsAccessor()`
`ImmutableEndpoint` | `getEndpoint()`
`SecurityManager` | `getSecurityManager()`
`String` | `getSecurityProviders()`
`void` | `setCredentialsAccessor(CredentialsAccessor accessor)`
`void` | `setEndpoint(ImmutableEndpoint endpoint)`
`void` | `setSecurityManager(SecurityManager manager)`
`void` | `setSecurityProviders(String providers)`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Method Detail

### setSecurityManager

    void setSecurityManager(SecurityManager manager)

  Parameters:
    `manager` -

### getSecurityManager

    SecurityManager getSecurityManager()

### getSecurityProviders

    String getSecurityProviders()

### setSecurityProviders

    void setSecurityProviders(String providers)

### setEndpoint

    void setEndpoint(ImmutableEndpoint endpoint)

### getEndpoint

    ImmutableEndpoint getEndpoint()

### setCredentialsAccessor

    void setCredentialsAccessor(CredentialsAccessor accessor)

### getCredentialsAccessor

    CredentialsAccessor getCredentialsAccessor()

### authenticate

    void authenticate(MuleEvent event)
                      throws SecurityException,
                             UnknownAuthenticationTypeException,
                             CryptoFailureException,
                             SecurityProviderNotFoundException,
                             EncryptionStrategyNotFoundException,
                             InitialisationException

  Throws:
    `SecurityException`
    `UnknownAuthenticationTypeException`
    `CryptoFailureException`
    `SecurityProviderNotFoundException`
    `EncryptionStrategyNotFoundException`
    `InitialisationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.